Index: frontend/src/Components/HotelDetails/ReviewsCarousel.js
===================================================================
--- frontend/src/Components/HotelDetails/ReviewsCarousel.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/ReviewsCarousel.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,33 +2,29 @@
 import Carousel from "react-bootstrap/Carousel";
 import Review from "../BecomeAHost/Review";
-import {useState} from "react";
-import {Container} from "react-bootstrap";
-import review from "../BecomeAHost/Review";
+import { useState } from "react";
+import { Container } from "react-bootstrap";
 
-const ReviewsCarousel = (props) => {
+const ReviewsCarousel = () => {
     document.body.style.backgroundColor = "white";
 
     const [index, setIndex] = useState(0);
-
+  
     const handleSelect = (selectedIndex) => {
-        setIndex(selectedIndex);
+      setIndex(selectedIndex);
     };
     return (<>
-        <Container
-            className="py-3 px-1 my-4">
-            <Carousel className="w-100" activeIndex={index} onSelect={handleSelect} indicators={false}>
-                {props.reviews.length === 0 && <Carousel.Item>
-                    <Container>
-                        <h4>За избраниот ресурс се уште не се достапни оценки!</h4>
-                    </Container>
-                </Carousel.Item>}
-                {props.reviews.map((rev) => {
-                    return (
-                        <Carousel.Item>
-                            <Review key={review.reviewId} review={rev}></Review>
-                        </Carousel.Item>
-                    )
-                })}
-            </Carousel>
+                    <Container
+        className="py-3 px-1 my-4">
+                <Carousel className="w-100" activeIndex={index} onSelect={handleSelect}>
+                  <Carousel.Item>
+                  <Review></Review>
+                  </Carousel.Item>
+                  <Carousel.Item>
+                  <Review></Review>
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <Review></Review>
+                  </Carousel.Item>
+                </Carousel>
         </Container>
     </>)
Index: frontend/src/Components/HotelDetails/Room.js
===================================================================
--- frontend/src/Components/HotelDetails/Room.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/Room.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,104 +1,92 @@
-import React, {useState} from "react";
-import {Container, Row, Col, Image} from "react-bootstrap";
-import {LuFan} from "react-icons/lu";
-import {TbToolsKitchen2} from "react-icons/tb"
-import {MdBalcony} from "react-icons/md"
-import Carousel from "react-bootstrap/Carousel";
+import React from "react";
+import { Container, Row, Col, Image } from "react-bootstrap";
+import { LuFan } from "react-icons/lu";
+import { TbToolsKitchen2 } from "react-icons/tb"
+import { MdBalcony } from "react-icons/md"
 
 const Room = (props) => {
-    console.log("OD SOBATA")
-    const [index, setIndex] = useState(0);
-    const handleSelect = (selectedIndex) => {
-        setIndex(selectedIndex);
-    };
-    console.log(props)
-    return (
-        <>
-            <Container style={{width: "100%"}}>
-                <Row className="g-0">
-                    <Col
-                        className="d-flex justify-content-center"
-                        style={{maxWidth: "40%"}}
-                    >
-                        <Carousel activeIndex={index} onSelect={handleSelect}>
-                            {props.data.images.map(img => {
-                                let link = img.url;
-                                if (img.url.includes('Desktop')) {
-                                    link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(img.url);
-                                }
-                                return (<Carousel.Item>
-                                    <Image src={link}/>
-                                </Carousel.Item>)
-                            })}
-                            {props.data.images.length === 0 && <h4>
-                                Не се достапни слики!
-                            </h4>}
-                        </Carousel>
-                    </Col>
-                    <Col>
-                        <Container className="m-auto">
-                            <Row>
-                                <h5 style={{textAlign: "left"}}>
-                                    {props.data.hotelRoomName}
-                                </h5>
-                            </Row>
-                            <Row>
-                                {props.data.airCondition && <Col className="col-auto">
-                                    <Container className="py-1 px-1">
-                                        <Row className="d-flex flex-row">
-                                            <Col className="m-0 w-25 py-1">
-                                                <LuFan
-                                                    className="my-0 "
-                                                    color="#159895"
-                                                    size={25}
-                                                ></LuFan>
-                                            </Col>
-                                            <Col className="w-75 d-flex p-0">
-                                                <h6 style={{fontSize: "10px"}} className="m-auto">
-                                                    Климатизирано
-                                                </h6>
-                                            </Col>
-                                        </Row>
-                                    </Container>
-                                </Col>}
-                                {props.data.kitchenAvailable && <Col className="col-auto">
-                                    <Container
-                                        className="py-1 px-1">
-                                        <Row className="d-flex flex-row">
-                                            <Col className="m-0 w-25 py-1">
-                                                <TbToolsKitchen2 className="my-0 " color="#159895"
-                                                                 size={25}></TbToolsKitchen2>
-                                            </Col>
-                                            <Col className="w-75 d-flex p-0">
-                                                <h6 style={{fontSize: "10px"}} className="m-auto">Кујна</h6>
-                                            </Col>
-                                        </Row>
-                                    </Container>
-                                </Col>}
-                                {props.data.balcony && <Col className="col-auto">
-                                    <Container
-                                        className="py-1 px-1">
-                                        <Row className="d-flex flex-row">
-                                            <Col className="m-0 w-25 py-1">
-                                                <MdBalcony className="my-0 " color="#159895" size={25}></MdBalcony>
-                                            </Col>
-                                            <Col className="w-75 d-flex p-0">
-                                                <h6 style={{fontSize: "10px"}} className="m-auto">Тераса</h6>
-                                            </Col>
-                                        </Row>
-                                    </Container>
-                                </Col>}
-                            </Row>
-                            <Row>
-                                <p style={{textAlign: "left", textDecoration: "none"}}>
-                                    {props.data.hotelRoomDescription}
-                                </p>
-                            </Row>
-                        </Container>
-                    </Col>
-                </Row>
+  return (
+    <>
+      <Container style={{ width: "100%" }}>
+        <Row className="g-0">
+          <Col
+            className="d-flex justify-content-center"
+            style={{ maxWidth: "40%" }}
+          >
+            <Image
+              src="https://img.freepik.com/free-photo/luxury-classic-modern-bedroom-suite-hotel_105762-1787.jpg?w=2000"
+              style={{
+                height: "10em",
+                borderRadius: "1em",
+                boxShadow: "0 4px 20px lightblue",
+                maxWidth: "100%",
+              }}
+              className="m-auto"
+            ></Image>
+          </Col>
+          <Col>
+            <Container className="m-auto">
+              <Row>
+                <h5 style={{ textAlign: "left" }}>
+                  {props.data.hotelRoomName}
+                </h5>
+              </Row>
+              <Row>
+                {props.data.airCondition && <Col className="col-auto">
+                  <Container className="py-1 px-1">
+                    <Row className="d-flex flex-row">
+                      <Col className="m-0 w-25 py-1">
+                        <LuFan
+                          className="my-0 "
+                          color="#159895"
+                          size={25}
+                        ></LuFan>
+                      </Col>
+                      <Col className="w-75 d-flex p-0">
+                        <h6 style={{ fontSize: "10px" }} className="m-auto">
+                          Климатизирано
+                        </h6>
+                      </Col>
+                    </Row>
+                  </Container>
+                </Col>}
+                {props.data.kitchenAvailable && <Col className="col-auto">
+                  <Container
+                    className="py-1 px-1">
+                                          <Row className="d-flex flex-row">
+                        <Col className="m-0 w-25 py-1">
+                        <TbToolsKitchen2 className="my-0 " color="#159895" size={25}></TbToolsKitchen2>
+                        </Col>
+                        <Col className="w-75 d-flex p-0" >
+                        <h6 style={{fontSize: "10px"}} className="m-auto">Кујна</h6>
+                        </Col>
+                      </Row>
+                  </Container>
+                </Col>}
+                {props.data.balcony && <Col className="col-auto">
+                <Container
+                    className="py-1 px-1">
+                                          <Row className="d-flex flex-row">
+                        <Col className="m-0 w-25 py-1">
+                        <MdBalcony className= "my-0 " color="#159895" size={25}></MdBalcony>
+                        </Col>
+                        <Col className="w-75 d-flex p-0" >
+                        <h6 style={{fontSize: "10px"}} className="m-auto">Тераса</h6>
+                        </Col>
+                      </Row>
+                  </Container>
+                </Col>}
+              </Row>
+              <Row>
+                <p style={{ textAlign: "left", textDecoration: "none" }}>
+                  {props.data.hotelRoomDescription}
+                </p>
+              </Row>
             </Container>
-        </>
-);
+          </Col>
+        </Row>
+      </Container>
+    </>
+  );
 };
 
Index: frontend/src/Components/HotelDetails/RoomRow.js
===================================================================
--- frontend/src/Components/HotelDetails/RoomRow.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/RoomRow.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -8,7 +8,5 @@
     const [getData, setData] = useState(0);
     const room = props.room
-    console.log("dasdaskjdhaskdjashdkajk")
     console.log(props.data)
-    console.log(Array(props.data.find(x => x.hotelRoom.hotelRoomId === room.hotelRoomId)))
     return (
         <>
@@ -24,5 +22,5 @@
                     }}>
                         <option></option>
-                        {[...Array(props.data.filter(x => x.hotelRoom.hotelRoomId === room.hotelRoomId).reduce((sum, x) => x.numberOfBeds)).keys()].map(x => {
+                        {[...Array(props.data.find(x => x.hotelRoom.hotelRoomId === room.hotelRoomId).numberOfBeds).keys()].map(x => {
                             return (
                                 <option value={x+1}  >{x + 1}</option>
Index: frontend/src/Components/HotelDetails/RoomsTable.js
===================================================================
--- frontend/src/Components/HotelDetails/RoomsTable.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/RoomsTable.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,3 +1,4 @@
 import React from "react";
+import Room from "./Room";
 import Form from "react-bootstrap/Form";
 import FaHotel from "react-icons/fa";
@@ -8,4 +9,7 @@
 const RoomsTable = (props) => {
 
+
+    console.log(props.data[0].hotelRoomAvailableId)
+    console.log([...Array(props.data[0].numberOfBeds).keys()])
     return (
         <>
@@ -20,7 +24,5 @@
                 </thead>
                 <tbody>
-                {Array.from(
-                    new Set(props.data.map((x) => JSON.stringify(x.hotelRoom)))
-                ).map((roomString) => JSON.parse(roomString)).map((room) => {
+                {Array.from(new Set(props.data.map(x => x.hotelRoom))).map((room) => {
                     return (
                         <>
